Picking your compileSdkVersion, minSdkVersion, and targetSdkVersion
Pro-tip by +Ian Lake

One of the focus points for each Android platform release is in forward compatibility - apps built against older SDKs won’t break when running on new platform versions. But that doesn’t mean Android isn’t changing - new APIs and new behaviors are a part of life. How that applies to your app is set by three values - your compileSdkVersion, minSdkVersion, and targetSdkVersion.

Learn why you should always compile with the latest SDK, pick the most appropriate minSdkVersion, and interact with compatibility modes provided by Android with the correct targetSdkVersion on our blog post (https://goo.gl/07Rh47) to ensure you are set to #BuildBetterApps

What minSdkVersion are you using now and why?
Shared publiclyView activity
Related Collections